
Application: gvSIG desktop - gvSIG bugs #4569
Line layers activate tools for polygon layers
07/26/2017 12:04 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Geoprocess
Target version: 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)
Severity: Major Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2829 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps in order to reproduce the bug:
    -  create a view and add a line layer;
    -  open the Geoprocessing toolbox
Results:
    -  all the tools for line layers are not activated
    -  all the tools for polygon layers are activated

Note: the Geoprocessing Toolbox works fine in build 2827

Associated revisions
Revision 43405 - 08/05/2017 09:07 PM - Joaquín  del Cerro Murciano

refs #4568, #4569, añadido el metodo isSubtype al GeometryManager para comprobar si un tipo de geometria es subtipo de otro (ej. LINE es subtype
de CURVE)

Revision 970 - 08/05/2017 09:11 PM - Joaquín  del Cerro Murciano

refs #4568, #4569, modificada la comprobacion de tipos de geometria para que tenga en cuenta los subtipos.

History
#1 - 08/01/2017 11:23 AM - Joaquín  del Cerro Murciano
- Priority changed from Normal to High

#2 - 08/05/2017 08:35 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)
- Assignee set to Joaquín  del Cerro Murciano

#3 - 08/05/2017 09:12 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#4 - 08/07/2017 10:02 PM - Antonio Falciano
- Status changed from Fixed to Closed
